Package org.apache.tools.ant.taskdefs

# Class Javadoc.GroupArgument

java.lang.Object
org.apache.tools.ant.taskdefs.Javadoc.GroupArgument

Enclosing class:
  Javadoc

    public class Javadoc.GroupArgument
    extends java.lang.Object

A class corresponding to the group nested element.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `GroupArgument()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `addPackage​(Javadoc.PackageName pn)` | Add a package nested element.
  `void` | `addTitle​(Javadoc.Html text)` | Set the title attribute using a nested Html value.
  `java.lang.String` | `getPackages()` | Get the packages as a colon separated list.
  `java.lang.String` | `getTitle()` | Get the title.
  `void` | `setPackages​(java.lang.String src)` | Set the packages to Javadoc on.
  `void` | `setTitle​(java.lang.String src)` | Set the title attribute using a string.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GroupArgument

    public GroupArgument()

- ## Method Details

  - ### setTitle

    public void setTitle​(java.lang.String src)
    Set the title attribute using a string.
    Parameters:
      `src` - a `String` value

  - ### addTitle

    public void addTitle​(Javadoc.Html text)
    Set the title attribute using a nested Html value.
    Parameters:
      `text` - a `Html` value

  - ### getTitle

    public java.lang.String getTitle()
    Get the title.
    Returns:
      the title

  - ### setPackages

    public void setPackages​(java.lang.String src)
    Set the packages to Javadoc on.
    Parameters:
      `src` - a comma separated list of packages

  - ### addPackage

    public void addPackage​(Javadoc.PackageName pn)
    Add a package nested element.
    Parameters:
      `pn` - a nested element specifying the package.

  - ### getPackages

    public java.lang.String getPackages()
    Get the packages as a colon separated list.
    Returns:
      the packages as a string